get
/v1/instances/{instance_id}/consoleGet instance console
Get a URL to access the instance console (VNC/SPICE)
Path Parameters
instance_id
string<uuid>requiredpath
Instance ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Query Parameters
type
stringoptionalquery
Console type
Enum: "novnc", "xvpvnc", "spice-html5", "rdp-html5", "serial"
Default: "novnc"
Responses
200
Console URL
Content-Type: application/json
console
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired409
Instance is not in a state that supports console access
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/instances/550e8400-e29b-41d4-a716-446655440000/console" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Console URL
{"console": {"type": "novnc","url": "https://console.spo1.mycloud.com/vnc.html?token=abc123"}}